%define name eventsim
%define version 0.4.7
%define unmangled_version 0.4.7
%define release 1

Summary: Various useful tools in simulating discrete system events based on outcome and probabilities
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Taiwo Kareem <taiwo.kareem36@gmail.com>
Url: http://bitbucket.org/tushortz/eventsim

%description

Description
------------

eventsim makes discrete event easy to simulate

Currently, it consists of two modules:
models and randgen

Modules
-------

MODELS
------

contains methods for simplifying and calculating:
probability,
estimated variance,
estimated mean,
estimated standard deviation,
expectation value,
discreteEmp

most of its methods takes in two arguments, outcome and cummulative probability and a third optional argument which is how many times an item should be generated or times to be calculated.

RANDGEN
-------

contains methods for simplifying and generating a:
random outcome,
a unique outcome
times of occurrence of outcome
probability of occurrence
cummulative probability of occurrence

help on using this package is included in the installation file or alternatively call

manual(modulename) after importing the package to view how to use it


another module coming soon aimed at generating a real life event simulation scenario in workplace 


For more help information please read the help notes provided in the package
	

Requirements
------------

* Any version of python

Acknowledgements
----------------

I was inspired to write this package after my university coursework demanded using python to simulate events. I hope Modelling and Simulation students find it useful

All glory belongs to God for helping me in completing my first module.



%prep
%setup -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
